AntiFeatures:
  Tracking:
    en-US: Error reporting and Share anonymous data enabled by default
Categories:
  - Writing
License: GPL-3.0-only
AuthorName: Federico Iosue
AuthorEmail: support@omninotes.app
AuthorWebSite: https://federico.iosue.it
WebSite: https://federicoiosue.github.io/Omni-Notes
SourceCode: https://github.com/federicoiosue/Omni-Notes
IssueTracker: https://github.com/federicoiosue/Omni-Notes/issues
Translation: https://translate.omninotes.app
Changelog: https://github.com/federicoiosue/Omni-Notes/releases

AutoName: Omni Notes

RepoType: git
Repo: https://github.com/federicoiosue/Omni-Notes.git

Builds:
  - versionName: 5.2.20
    versionCode: 230
    commit: 5.2.20
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - "sed -i -e '/dl.bintray.com/d' -e '/apply plugin: \"sonar-runner\"/,+999d'\
        \ ../build.gradle"
      - sed -i -e '/playCompile/d' build.gradle

  - versionName: 5.3.1
    versionCode: 232
    disable: broken build due to missing gradle.properties
    commit: 5.3.1
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - "sed -i -e '/dl.bintray.com/d' -e '/apply plugin: \"sonar-runner\"/,+999d'\
        \ ../build.gradle"
      - sed -i -e '/googleAnalyticsRelease/,+2d' build.gradle
      - sed -i -e '/playCompile/d' -e '/applicationVariants/,+7d' build.gradle

  - versionName: 5.3.2
    versionCode: 233
    commit: 5.3.2
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - "sed -i -e '/dl.bintray.com/d' -e '/apply plugin: \"sonar-runner\"/,+999d'\
        \ ../build.gradle"
      - sed -i -e '/googleAnalyticsRelease/,+2d' build.gradle
      - sed -i -e '/playCompile/d' -e '/applicationVariants/,+7d' build.gradle

  - versionName: 5.4.0
    versionCode: 235
    commit: 5.4.0
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - "sed -i -e '/dl.bintray.com/d' -e '/apply plugin: \"sonar-runner\"/,+999d'\
        \ ../build.gradle"
      - sed -i -e '/googleAnalyticsRelease/,+2d' build.gradle
      - sed -i -e '/playCompile/d' -e '/outputFileName/d' build.gradle

  - versionName: 5.4.1
    versionCode: 236
    commit: 5.4.1
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - "sed -i -e '/dl.bintray.com/d' -e '/apply plugin: \"sonar-runner\"/,+999d'\
        \ ../build.gradle"
      - sed -i -e '/googleAnalyticsRelease/,+2d' build.gradle
      - sed -i -e '/playCompile/d' -e '/outputFileName/d' build.gradle

  - versionName: 5.4.2
    versionCode: 237
    commit: 5.4.2
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - "sed -i -e '/dl.bintray.com/d' -e '/apply plugin: \"sonar-runner\"/,+999d'\
        \ ../build.gradle"
      - sed -i -e '/googleAnalyticsRelease/,+2d' build.gradle
      - sed -i -e '/playCompile/d' -e '/outputFileName/d' build.gradle

  - versionName: 5.4.3
    versionCode: 238
    commit: 5.4.3
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - "sed -i -e '/dl.bintray.com/d' -e '/apply plugin: \"sonar-runner\"/,+999d'\
        \ ../build.gradle"
      - sed -i -e '/googleAnalyticsRelease/,+2d' build.gradle
      - sed -i -e '/playCompile/d' -e '/outputFileName/d' build.gradle

  - versionName: 5.4.4
    versionCode: 239
    commit: 5.4.4
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - "sed -i -e '/dl.bintray.com/d' -e '/apply plugin: \"sonar-runner\"/,+999d'\
        \ ../build.gradle"
      - sed -i -e '/googleAnalyticsRelease/,+2d' build.gradle
      - sed -i -e '/playCompile/d' -e '/outputFileName/d' build.gradle

  - versionName: 5.4.5
    versionCode: 240
    commit: 5.4.5
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - "sed -i -e '/dl.bintray.com/d' -e '/apply plugin: \"sonar-runner\"/,+999d'\
        \ ../build.gradle"
      - sed -i -e '/googleAnalyticsRelease/,+2d' build.gradle
      - sed -i -e '/playCompile/d' -e '/outputFileName/d' build.gradle

  - versionName: 5.5.0
    versionCode: 245
    commit: 5.5.0
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - "sed -i -e '/dl.bintray.com/d' -e '/apply plugin: \"sonar-runner\"/,+999d'\
        \ ../build.gradle"
      - sed -i -e '/googleAnalyticsRelease/,+2d' build.gradle
      - sed -i -e '/playCompile/d' -e '/outputFileName/d' build.gradle

  - versionName: 5.5.2
    versionCode: 247
    commit: 5.5.2
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - "sed -i -e '/dl.bintray.com/d' -e '/apply plugin: \"sonar-runner\"/,+999d'\
        \ ../build.gradle"
      - sed -i -e '/googleAnalyticsRelease/,+2d' build.gradle
      - sed -i -e '/playCompile/d' -e '/outputFileName/d' build.gradle

  - versionName: 6.1.0
    versionCode: 301
    commit: 6.1.0
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - sed -i -e '/org.sonarqube/,/^}/d' ../build.gradle
      - sed -i -e '/outputFileName/d' build.gradle

  - versionName: 6.2.1
    versionCode: 314
    commit: de9503376c5fc73f2dca9a5d59e376b842984ea6
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - sed -i -e '/org.sonarqube/,/^}/d' ../build.gradle
      - sed -i -e '/outputFileName/d' build.gradle

  - versionName: 6.2.2
    versionCode: 317
    commit: 179ee192908616a51417a604ca3b0f3922744e90
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - sed -i -e '/org.sonarqube/,/^}/d' ../build.gradle
      - sed -i -e '/outputFileName/d' build.gradle

  - versionName: 6.2.3
    versionCode: 318
    commit: 96a2db3cd6ff5f827a920bb1c7affe7e5c3f92a1
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - sed -i -e '/org.sonarqube/,/^}/d' ../build.gradle
      - sed -i -e '/outputFileName/d' build.gradle

  - versionName: 6.2.4
    versionCode: 319
    commit: 9bf9f0b708ae200385085ec0fa12d460e0ccb33e
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - sed -i -e '/org.sonarqube/,/^}/d' ../build.gradle
      - sed -i -e '/outputFileName/d' build.gradle

  - versionName: 6.2.5
    versionCode: 320
    commit: 998255e75039cc0876360b2ce2dc5b9060ba9799
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - sed -i -e '/org.sonarqube/,/^}/d' ../build.gradle
      - sed -i -e '/outputFileName/d' build.gradle

  - versionName: 6.2.6
    versionCode: 321
    commit: 988df6d781f387fae6d8c4f4220fb0286b7a697e
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - sed -i -e '/org.sonarqube/,/^}/d' ../build.gradle
      - sed -i -e '/outputFileName/d' build.gradle

  - versionName: 6.2.8
    versionCode: 323
    commit: f5fcaa3b61002e3674afcb2805e1ba3792882e04
    subdir: omniNotes
    gradle:
      - foss
    prebuild:
      - sed -i -e '/org.sonarqube/,/^}/d' ../build.gradle
      - sed -i -e '/outputFileName/d' build.gradle

  - versionName: 6.3.0
    versionCode: 330
    commit: e1149a587fef064812eb836dbc3a0f3357ae0c04
    subdir: omniNotes
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - foss
    prebuild:
      - sed -i -e '/org.sonarqube/,/^}/d' ../build.gradle
      - sed -i -e '/outputFileName/d' build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags ^[\d.]+$
UpdateCheckData: gradle.properties|VERSION_CODE=(\d+)|.|VERSION_NAME=(.*)
CurrentVersion: 6.3.0
CurrentVersionCode: 330
